#ifndef bexus_udp_client_h
#define bexus_udp_client_h
#ifdef __cplusplus
 extern "C" {
#endif

#include "lwip.h"
#include "lwip/init.h"
#include "lwip/netif.h"
#include "lwip/ip_addr.h"

#include "lwip/udp.h"
#include "bexus_variables.h"

#include <string.h>

void Udp_Config(u8_t ip1, u8_t ip2, u8_t ip3, u8_t ip4, u16_t port);
void Udp_Init(void);
void Udp_Send_Ground(void);
void Udp_Send_Raw(void);
void Udp_Send_Debug(uint8_t *msg);
	 
u8_t isNetworkUp(void);

#ifdef __cplusplus
}
#endif
#endif
